Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/CostomerRegist/FrmCostomerRegistAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/CostomerRegist/FrmCostomerRegistAuxiliary.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/CostomerRegist/FrmCostomerRegistAuxiliary.cs	(revision 55)
@@ -0,0 +1,712 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Collections;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using System.Drawing;
+
+using ProcessManagement.Forms.ControlsAction;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.SubForms;
+using ProcessManagement.Forms.Master;
+using ProcessManagement.DataModel;
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using System.Diagnostics;
+
+namespace ProcessManagement.Forms.DataEntry
+{
+    partial class FrmCostomerRegist
+    {
+
+        #region 表示オブジェクトの取得
+        /// <summary>
+        /// 表示オブジェクトの取得
+        /// </summary>
+        private void SetDisplayObject()
+        {
+            int DspCtrlCnt = Enum.GetNames(typeof(DispCtrl)).Length;
+            m_dispControl = new Control[DspCtrlCnt];
+
+            m_dispControl[(int)DispCtrl.PetitionPeriod] = label14;
+            m_dispControl[(int)DispCtrl.PersonCode] = label21;
+            m_dispControl[(int)DispCtrl.PersonName] = lblLabel01;
+            m_dispControl[(int)DispCtrl.DepartmentName] = lblLabel02;
+            m_dispControl[(int)DispCtrl.PetitionDate] = lblLabel03;
+
+            m_dispControl[(int)DispCtrl.OrdersDivision] = cmbDivision;
+            m_dispControl[(int)DispCtrl.CorporateStatusName] = cmbCorporateStatus;
+            m_dispControl[(int)DispCtrl.OrdersName1] = txtInput01;
+            m_dispControl[(int)DispCtrl.OrdersName2] = txtInput02;
+            m_dispControl[(int)DispCtrl.ZipCode] = txtInput03;
+            m_dispControl[(int)DispCtrl.Address1] = txtInput04;
+            m_dispControl[(int)DispCtrl.Address2] = txtInput05;
+            m_dispControl[(int)DispCtrl.Address3] = txtInput09;
+            m_dispControl[(int)DispCtrl.PhoneNumber] = txtInput06;
+            m_dispControl[(int)DispCtrl.FaxNumber] = txtInput07;
+            m_dispControl[(int)DispCtrl.MailAddress] = txtInput15;
+            m_dispControl[(int)DispCtrl.Note] = txtInput08;
+            m_dispControl[(int)DispCtrl.btnSerchZip] = btnSerchZip;
+            m_dispControl[(int)DispCtrl.PointNone] = rdbPoint1;
+            m_dispControl[(int)DispCtrl.PointFront] = rdbPoint2;
+            m_dispControl[(int)DispCtrl.PointRear] = rdbPoint3;
+            m_dispControl[(int)DispCtrl.ChargeDepartmentName] = textBox1;
+            m_dispControl[(int)DispCtrl.ChargePersonName] = textBox2;
+            m_dispControl[(int)DispCtrl.OrderNo] = label26;
+        }
+        #endregion
+        
+        #region 画面ロック
+        /// <summary>
+        /// 画面ロック
+        /// </summary>
+        private void ControlLock(bool bctrl = true)
+        {
+            foreach (Control wrk in m_dispControl)
+            {
+                if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                if (!wrk.GetType().Equals(typeof(Label)))
+                    wrk.Enabled = bctrl;
+            }
+        }
+        #endregion
+
+        #region 画面クリア
+        /// <summary>
+        /// 画面クリア
+        /// </summary>
+        private void ClearDisplay()
+        {
+            try
+            {
+                foreach (Control wrk in m_dispControl)
+                {
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    if (wrk.GetType().Equals(typeof(RadioButton))) continue;
+                    if (wrk.GetType().Equals(typeof(Button))) continue;
+                    wrk.Text = "";
+                }
+
+                cmbCorporateStatus.SelectedIndex = -1;
+                cmbDivision.SelectedIndex = -1;
+                rdbPoint1.Checked = true;
+                m_bChengeAns = false;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 画面項目のチェック
+        /// <summary>
+        /// 画面項目のチェック
+        /// </summary>
+        /// <returns></returns>
+        private bool DispFeildCheck()
+        {
+            bool bRet = true;
+            int iLength = 0;
+            try
+            {
+                // 発注区分 
+                if (m_dispControl[(int)DispCtrl.OrdersDivision].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.OrdersDivision], 100, true);
+
+                // 発注者名
+                if (m_dispControl[(int)DispCtrl.OrdersName1].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.OrdersName1], s_CostomerNameLength, true);
+
+                if (m_dispControl[(int)DispCtrl.OrdersName2].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.OrdersName2], s_CostomerNameLength, false);
+
+                // 部署名
+                if (m_dispControl[(int)DispCtrl.ChargeDepartmentName].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.ChargeDepartmentName], s_CostomerNameLength, false);
+
+                // 担当者名
+                if (m_dispControl[(int)DispCtrl.ChargePersonName].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.ChargePersonName], s_CostomerNameLength, false);
+
+                // 住所１
+                if (m_dispControl[(int)DispCtrl.Address1].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.Address1], s_AddressLength, true);
+
+                // 住所２
+                if (m_dispControl[(int)DispCtrl.Address2].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.Address2], s_AddressLength);
+
+                // 郵便番号
+                if (m_dispControl[(int)DispCtrl.ZipCode].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldZipCodeCheck(m_dispControl[(int)DispCtrl.ZipCode], true);
+
+                // 電話番号
+                if (m_dispControl[(int)DispCtrl.PhoneNumber].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldPhoneNumberCheck(m_dispControl[(int)DispCtrl.PhoneNumber], true);
+
+                // FAX番号
+                if (m_dispControl[(int)DispCtrl.FaxNumber].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldPhoneNumberCheck(m_dispControl[(int)DispCtrl.FaxNumber]);
+
+                // メールアドレス
+                if (m_dispControl[(int)DispCtrl.MailAddress].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.MailAddress], 256);
+
+                // 備考
+                if (m_dispControl[(int)DispCtrl.Note].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.Note], s_NoteLength);
+
+                if (iLength == 0)
+                {
+                    MessageBox.Show("データが入力されていません、確認してください。", "データ確認", MessageBoxButtons.OK, MessageBoxIcon.Warning);
+                    return false;
+                }
+                if (!bRet)
+                {
+                    MessageBox.Show("入力エラーがあります、確認してください。", "データ確認", MessageBoxButtons.OK, MessageBoxIcon.Warning);
+                    return false;
+                }
+
+                return true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region データ登録時初期処理
+        /// <summary>
+        /// データ登録時初期処理
+        /// </summary>
+        /// <returns></returns>
+        private bool InitDataEntry(IOCostomerRegist crDB, ref string strSQL, ref CostomerRegist RegRec)
+        {
+            try
+            {
+                // 対象データ・取得SQL作成
+                if (m_NewData)
+                {   // 新規作成時
+                    DateTime BaseDate = DateTime.Now;
+                    int PetitionNo = (BaseDate.Year * 100) + (BaseDate.Month);
+                    strSQL = crDB.CreatePrimarykeyString(PetitionNo);
+                    int SeqNo = crDB.SelectMaxSeqNo(strSQL, false) + 1;
+                    strSQL = crDB.CreatePrimarykeyString(PetitionNo, SeqNo);
+                    crDB.DeleteAction(strSQL, false);
+                    // キー項目セット
+                    RegRec.PetitionNo = PetitionNo;
+                    RegRec.SeqNo = SeqNo;
+                    RegRec.PetitionPeriod = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.PetitionPeriod].Text);
+                    RegRec.PersonCode = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.PersonCode].Text);
+                    RegRec.PetitionDate = CommonMotions.cnvDate(m_dispControl[(int)DispCtrl.PetitionDate].Text);
+                }
+                else
+                {   //  既存データ取得
+                    strSQL = crDB.CreatePrimarykeyString(m_PetitionNo, m_PetitionSeqNo);
+                    if (!crDB.SelectAction(strSQL, ref RegRec, false))
+                    {
+                        crDB.rollback();
+                        MessageBox.Show("登録確認に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        return false;
+                    }
+                }
+                return true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 発注者登録申請データ登録
+        /// <summary>
+        /// 発注者登録申請データ登録
+        /// </summary>
+        private bool CostomerRegistDataEntry()
+        {
+            IOCostomerRegist crDB = new IOCostomerRegist();
+            try
+            {
+                crDB.connect(); crDB.beginTran();
+
+                CostomerRegist RegRec = new CostomerRegist();
+                string strSQL = string.Empty;
+
+                // データ登録時初期処理
+                if (!InitDataEntry(crDB, ref strSQL, ref RegRec)) return false;
+
+                // 発注者区分
+                RegRec.OrderCotegory = CommonMotions.cnvInt(cmbDivision.SelectedValue.ToString());
+
+                // 法人格名称位置
+                if (rdbPoint1.Checked == true) RegRec.CorporateStatusPoint = 0;
+                else if (rdbPoint2.Checked == true) RegRec.CorporateStatusPoint = 1;
+                else if (rdbPoint3.Checked == true) RegRec.CorporateStatusPoint = 2;
+
+                // 法人団体・個人フラグ
+                if (radioButton1.Checked) RegRec.OrderFlg = 0;
+                else RegRec.OrderFlg = 1;
+
+                // 法人格名称
+                if (RegRec.CorporateStatusPoint != 0)
+                    RegRec.CorporateStatusName = m_dispControl[(int)DispCtrl.CorporateStatusName].Text;
+
+                // 申請受付番号
+                RegRec.OrderNo = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.OrderNo].Text);
+
+                // 発注者名
+                RegRec.OrderersName1 = m_dispControl[(int)DispCtrl.OrdersName1].Text;
+                RegRec.OrderersName2 = m_dispControl[(int)DispCtrl.OrdersName2].Text;
+
+                // 部署名
+                RegRec.DepartmentName = m_dispControl[(int)DispCtrl.ChargeDepartmentName].Text;
+                // 担当者名
+                RegRec.ChargePersonName = m_dispControl[(int)DispCtrl.ChargePersonName].Text;
+                // 郵便番号
+                RegRec.ZipCode = m_dispControl[(int)DispCtrl.ZipCode].Text;
+                // 住所１
+                RegRec.Address1 = m_dispControl[(int)DispCtrl.Address1].Text;
+                // 住所２
+                RegRec.Address2 = m_dispControl[(int)DispCtrl.Address2].Text;
+                // 住所３
+                RegRec.Address3 = m_dispControl[(int)DispCtrl.Address3].Text;
+                // 電話番号
+                RegRec.PhoneNumber = m_dispControl[(int)DispCtrl.PhoneNumber].Text;
+                // FAX番号
+                RegRec.FaxNumber = m_dispControl[(int)DispCtrl.FaxNumber].Text;
+                // メールアドレス
+                RegRec.MailAddress = m_dispControl[(int)DispCtrl.MailAddress].Text;
+                // 備考
+                RegRec.Note = m_dispControl[(int)DispCtrl.Note].Text;
+
+                if (NewData)
+                {
+                    // データ登録
+                    if (!crDB.InsertAction(RegRec, false))
+                    {
+                        crDB.rollback();
+                        MessageBox.Show("登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        return false;
+                    }
+                }
+                else
+                {
+                    // データ更新
+                    if (!crDB.UpdateAction(strSQL, RegRec, false))
+                    {
+                        crDB.rollback();
+                        MessageBox.Show("更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        return false;
+                    }
+                }
+
+                return true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                crDB.commit(); crDB.close(); crDB = null;
+            }
+        }
+        #endregion
+
+        #region 発注者登録申請データ削除
+        /// <summary>
+        /// 発注者登録申請データ削除
+        /// </summary>
+        /// <returns></returns>
+        private bool CostomerRegistDataRemove()
+        {
+            IOCostomerRegist crDB = new IOCostomerRegist();
+            try
+            {
+                if (m_NewData) return true;
+
+                crDB.connect(); crDB.beginTran();
+
+                string strWhere = crDB.CreatePrimarykeyString(m_PetitionNo, m_PetitionSeqNo);
+
+                if (!crDB.DeleteAction(strWhere,false))
+                {
+                    crDB.rollback();
+                    MessageBox.Show("削除に失敗しました。", "削除エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+                crDB.commit(); 
+
+                return true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                crDB.close(); crDB = null;
+            }
+        }
+        #endregion
+
+        #region ヘッダー情報表示
+        /// <summary>
+        /// ヘッダー情報表示
+        /// </summary>
+        private void DispHeader()
+        {
+            IOMDepartment dmDB = new IOMDepartment();
+            try
+            {
+                string strSQL = dmDB.CreatePrimarykeyString(CommonMotions.LoginUserData.DepartmentCode);
+                DepartmentMaster dmRec = new DepartmentMaster();
+                dmDB.SelectAction(strSQL, ref dmRec);
+
+                m_dispControl[(int)DispCtrl.PetitionPeriod].Text = CommonMotions.SystemMasterData.BusinessPeriod.ToString();
+                m_dispControl[(int)DispCtrl.PersonCode].Text = CommonMotions.LoginUserData.PersonCode.ToString();
+                m_dispControl[(int)DispCtrl.PersonName].Text = CommonMotions.LoginUserData.PersonName;
+                m_dispControl[(int)DispCtrl.DepartmentName].Text = dmRec.DepartmentString;
+                m_dispControl[(int)DispCtrl.PetitionDate].Text = DateTime.Now.ToShortDateString();
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                dmDB.close(); dmDB = null;
+            }
+        }
+        #endregion
+
+        #region 発注者登録申請データ表示処理
+        /// <summary>
+        /// 発注者登録申請データ表示処理
+        /// </summary>
+        /// <returns></returns>
+        private bool DispMentenanceData()
+        {
+            // 発注者登録申請データ
+            IOCostomerRegist crDB = new IOCostomerRegist();
+            try
+            {
+                // 発注者マスタ取得
+                ArrayList crList = new ArrayList();
+                string strSQL = "SELECT A.*, B.PERSONNAME, C.DEPARTMENTSTRING, C.DEPARTMENTCODE FROM COSTOMERREGIST A";
+                strSQL += " LEFT JOIN PERSONINCHARGEMASTER B ON B.PERSONCODE = A.PERSONCODE";
+                strSQL += " LEFT JOIN DEPARTMENTMASTER C ON C.DEPARTMENTCODE = B.DEPARTMENTCODE";
+                strSQL += string.Format(" WHERE PetitionNo = {0} AND SeqNo = {1}", m_PetitionNo, m_PetitionSeqNo);
+
+                if (!crDB.ExecuteReader(strSQL, ref crList)) return false;
+                if (crList.Count == 0) return true;
+
+                object[] crRec = (object[])crList[0];
+                // データ表示
+                cmbDivision.SelectedValue = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.DataColumn.OrderCotegory]);
+                m_dispControl[(int)DispCtrl.CorporateStatusName].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.DataColumn.CorporateStatusName]);
+
+                int StatusPoint = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.DataColumn.CorporateStatusPoint]);
+                if (StatusPoint == 0) rdbPoint1.Checked = true;
+                else if (StatusPoint == 1) rdbPoint2.Checked = true;
+                else if (StatusPoint == 2) rdbPoint3.Checked = true;
+
+                int DivCnt = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.DataColumn.OrderFlg]);
+                if (DivCnt == 0) radioButton1.Checked = true;
+                else radioButton2.Checked = true;
+
+                m_dispControl[(int)DispCtrl.OrderNo].Text = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.DataColumn.OrderNo]).ToString();
+
+                m_dispControl[(int)DispCtrl.OrdersName1].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.DataColumn.OrderersName1]);
+                m_dispControl[(int)DispCtrl.OrdersName2].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.DataColumn.OrderersName2]);
+                m_dispControl[(int)DispCtrl.ChargeDepartmentName].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.DataColumn.DepartmentName]);
+                m_dispControl[(int)DispCtrl.ChargePersonName].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.DataColumn.ChargePersonName]);
+                m_dispControl[(int)DispCtrl.ZipCode].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.DataColumn.ZipCode]);
+                m_dispControl[(int)DispCtrl.Address1].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.DataColumn.Address1]);
+                m_dispControl[(int)DispCtrl.Address2].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.DataColumn.Address2]);
+                m_dispControl[(int)DispCtrl.Address3].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.DataColumn.Address3]);
+                m_dispControl[(int)DispCtrl.PhoneNumber].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.DataColumn.PhoneNumber]);
+                m_dispControl[(int)DispCtrl.FaxNumber].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.DataColumn.FaxNumber]);
+                m_dispControl[(int)DispCtrl.MailAddress].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.DataColumn.MailAddress]);
+                m_dispControl[(int)DispCtrl.Note].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.DataColumn.Note]);
+
+                int DspCtrlCnt = Enum.GetNames(typeof(IOCostomerRegist.DataColumn)).Length;
+                m_dispControl[(int)DispCtrl.PetitionPeriod].Text = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.DataColumn.PetitionPeriod]).ToString();
+                m_dispControl[(int)DispCtrl.PersonCode].Text = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.DataColumn.PersonCode]).ToString();
+                m_dispControl[(int)DispCtrl.PersonName].Text = CommonMotions.cnvString(crRec[DspCtrlCnt]);
+                m_dispControl[(int)DispCtrl.DepartmentName].Text = CommonMotions.cnvString(crRec[(DspCtrlCnt + 1)]);
+                m_dispControl[(int)DispCtrl.PetitionDate].Text = CommonMotions.cnvDate(crRec[(int)IOCostomerRegist.DataColumn.PetitionDate]).ToShortDateString();
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                crDB.close(); crDB = null;
+            }
+        }
+        #endregion
+
+        #region 法人格コンボボックスセット
+        /// <summary>
+        /// 法人格コンボボックスセット
+        /// </summary>
+        private void SetcmbCorporateStatusCombBox()
+        {
+            IOMBusinessType btDB = new IOMBusinessType();
+            try
+            {
+                cmbCorporateStatus.DataSource = null;
+                cmbCorporateStatus.Items.Clear();
+
+                List<BusinessTypeMaster> btList = new List<BusinessTypeMaster>();
+                if (!btDB.SelectAction(" ORDER BY DISPLAYORDER", ref btList)) return;
+                if (btList.Count == 0) return;
+
+                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
+                // データ表示
+                for (int i = 0; i < btList.Count; i++)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(btList[i].DisplayOrder, btList[i].BusinessTypeName);
+
+                    DataList.Add(keyval);
+                }
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbCorporateStatus, DataList);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                btDB.close(); btDB = null;
+            }
+        }
+        #endregion
+
+        #region 発注者区分コンボボックスセット
+        /// <summary>
+        /// 発注者区分コンボボックスセット
+        /// </summary>
+        private void SetcmbDivisionCombBox()
+        {
+            IOMDivision dvDB = new IOMDivision();
+            try
+            {
+                cmbDivision.DataSource = null;
+                cmbDivision.Items.Clear();
+
+                List<DivisionMaster> bvList = new List<DivisionMaster>();
+                // ValueからKeyを検索
+                int DivisionCode = (int)CommonDefine.DivisionMasterCodeDefine.OrderDivision;
+                string strSQL = dvDB.CreatePrimarykeyString(DivisionCode) + " And DeleteFlg = 0 ORDER BY DISPLAYORDER";
+                if (!dvDB.SelectAction(strSQL, ref bvList)) return;
+                if (bvList.Count == 0) return;
+
+                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
+                List<KeyValuePair<int, string>> ChangeList = new List<KeyValuePair<int, string>>();
+                // データ表示
+                for (int i = 0; i < bvList.Count; i++)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(bvList[i].NameCode, bvList[i].NameString);
+
+                    DataList.Add(keyval);
+                    ChangeList.Add(keyval);
+                }
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbDivision, ChangeList);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                dvDB.close(); dvDB = null;
+            }
+        }
+        #endregion
+
+        #region 参照時ロック処理
+        /// <summary>
+        /// 参照時ロック処理
+        /// </summary>
+        private void ExecReadOnly()
+        {
+            try
+            {
+                ControlLock(false);
+                btnDataEntry.Visible = false;
+                btnDataDelete.Visible = false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 表示タイプ切り替え
+        /// <summary>
+        /// 表示タイプ切り替え
+        /// </summary>
+        private void ChangeDispType()
+        {
+            try
+            {
+                int TblHeight = 0;
+                float fHeight = 0;
+                bool bVisible = true;
+                if (radioButton1.Checked)
+                {
+                    fHeight = 28F;
+                    bVisible = true;
+                    TblHeight = (int)((fHeight * 14) + 80F);
+                }
+                else if (radioButton2.Checked)
+                {
+                    fHeight = 0F;
+                    bVisible = false;
+                    TblHeight = (int)((28F * 10) + 80F);
+                }
+                tableLayoutPanel1.Height = TblHeight;
+
+                tableLayoutPanel1.RowStyles[2].Height = fHeight;
+                cmbCorporateStatus.Visible = bVisible;
+                label16.Visible = bVisible;
+
+                tableLayoutPanel1.RowStyles[3].Height = fHeight;
+                panel5.Visible = bVisible;
+                label11.Visible = bVisible;
+
+                tableLayoutPanel1.RowStyles[6].Height = fHeight;
+                textBox1.Visible = bVisible;
+                label23.Visible = bVisible;
+
+                tableLayoutPanel1.RowStyles[7].Height = fHeight;
+                textBox2.Visible = bVisible;
+                label24.Visible = bVisible;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        // -------------------- 印刷処理
+        #region 印刷時ボタン制御
+        /// <summary>
+        /// 印刷時ボタン制御
+        /// </summary>
+        /// <param name="bprint"></param>
+        private void PrintButtonVisbleControl(bool bprint)
+        {
+            panel1.Enabled = !bprint;
+            tableLayoutPanel1.Enabled = !bprint;
+
+            btnDataEntry.Visible = !bprint;
+            btnDataDelete.Visible = !bprint;
+            btnEnd.Visible = !bprint;
+
+            if (bprint)
+            {
+                btnPrint.Visible = false;
+                btnCancel.Visible = true;
+            }
+            else
+            {
+                btnPrint.Visible = true;
+                btnCancel.Visible = false;
+            }
+        }
+        #endregion
+
+        private string m_PrintFormString = ClsExcute.ProcessExecuteName[(int)ClsExcute.ProcessExecuteNo.CostomerRegist];
+        #region 印刷処理
+        /// <summary>
+        /// 印刷処理
+        /// </summary>
+        private void PrintOutCstomerRegist()
+        {
+            FrmSaveFilePath frm = new FrmSaveFilePath();
+            FrmPrintInfomation frmPrint = new FrmPrintInfomation();
+            try
+            {
+                // 処理番号セット
+                frmPrint.ExecuteProcNo = (int)ClsExcute.ProcessExecuteNo.CostomerRegist;
+                // 表示文字列セット
+                frmPrint.DispString = m_PrintFormString;
+                // 印刷範囲設定の表示
+                frmPrint.DisplayRange = false;
+
+                // ウィンドウ表示
+                frmPrint.ShowDialog();
+
+                // 終了状態
+                m_PrintresRet = frmPrint.EndButton;
+
+                // キャンセルは処理しない
+                if (m_PrintresRet == DialogResult.Cancel) return;
+
+                // EXCEL保存時選択
+                if (m_PrintresRet == DialogResult.No)
+                {
+                    // 保存先を選択する
+                    frm.SaveType = (int)CommonDefine.SaveFileType.ExcelFile;
+
+                    //frm.ShowInTaskbar = false;
+
+                    frm.ShowDialog();
+                    if (frm.EndButton == DialogResult.Cancel) return;
+                    m_SelectSaveExcel = frm.SelectPath;
+                }
+
+
+                // 印刷プロセス数取得
+                m_ProcessCount = 3;             // 枚数＋ＥＸＣＥＬオブジェクト取得(2)
+                PrintProgress.Visible = true;
+                PrintProgress.Minimum = 0;
+                PrintProgress.Maximum = m_ProcessCount;
+                PrintProgress.Value = 0;
+
+                m_Canceled = false;
+                // ボタンの変更
+                PrintButtonVisbleControl(true);
+
+                //印刷を別スレッドで実行する
+                m_ProgressCount = 0;
+                workerThread = new System.Threading.Thread(new System.Threading.ThreadStart(PrintMain));
+                workerThread.IsBackground = true;
+                workerThread.Start();
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Close(); frm = null;
+                frmPrint.Close(); frmPrint = null;
+            }
+        }
+        #endregion
+
+        // -------------------- 印刷処理
+    }
+}
